"use strict";
var __webpack_exports__ = {};
const jsx_runtime_namespaceObject = require("react/jsx-runtime");
require("react");
const react_namespaceObject = require("@testing-library/react");
const external_FilterProvider_js_namespaceObject = require("../FilterProvider.js");
describe('useFilter', ()=>{
    test('should get a empty array', ()=>{
        let getDataBlocks = null;
        const Comp = ()=>{
            ({ getDataBlocks } = (0, external_FilterProvider_js_namespaceObject.useFilterBlock)());
            return null;
        };
        const App = ()=>/*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(external_FilterProvider_js_namespaceObject.FilterBlockProvider, {
                children: /*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(Comp, {})
            });
        (0, react_namespaceObject.render)(/*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(App, {}));
        expect(getDataBlocks()).toEqual([]);
    });
    test('should not repeat', ()=>{
        let getDataBlocks = null, recordDataBlocks = null;
        const Comp = ()=>{
            ({ getDataBlocks, recordDataBlocks } = (0, external_FilterProvider_js_namespaceObject.useFilterBlock)());
            return null;
        };
        const App = ()=>/*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(external_FilterProvider_js_namespaceObject.FilterBlockProvider, {
                children: /*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(Comp, {})
            });
        (0, react_namespaceObject.render)(/*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(App, {}));
        recordDataBlocks({
            name: 'test',
            collection: {},
            doFilter: ()=>{}
        });
        expect(getDataBlocks().length).toBe(1);
        recordDataBlocks({
            name: 'test',
            collection: {},
            doFilter: ()=>{}
        });
        expect(getDataBlocks().length).toBe(1);
    });
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
